package msvar;

import com.jstatcom.model.JSCTypeDef;
import com.jstatcom.model.JSCTypes;

/**
 * Should hold all constants that are globally used by the MSVAR modelling
 * frame.
 * <p>
 * Currently only an example and incomprehensive.
 * 
 * @author <a href="mailto:mk@mk-home.de">Markus Kraetzig </a>
 */
public final class MSVARConstants {

	/**
	 * The selected endogenous variables, no lag truncation.
	 */
	public static final JSCTypeDef Y_VAR = new JSCTypeDef(
			"Y_VAR",
			JSCTypes.NARRAY,
			"The selected endogenous variables, no lag truncation.");
	/**
	 * The names of the selected endogenous variables.
	 */
	public static final JSCTypeDef Y_NAMES = new JSCTypeDef(
			"Y_NAMES",
			JSCTypes.SARRAY,
			"The names of the selected endogenous variables.");
	// more constants
}