package msvar;

import com.jstatcom.model.ModelFrame;

/**
 * Frame containing Markov Switching Analysis, based on the Ox package 
 * MSVAR (Markov-Switching Vector AutoRegressions) by Hans-Martin Krolzig.
 * 
 * It requires the MSVAR package, the gnudraw package and gnuplot installed.
 * Gnuplot comes also with the TSMod package.
 * 
 * @author <a href="mailto:mk@mk-home.de">Markus Kraetzig </a>
 */
public class MSVARFrame extends ModelFrame {

	private msvar.MSVARSpecPanel MSVARSpecPanel = null;
	/**
	 * This method initializes 
	 * 
	 */
	public MSVARFrame() {
		super();
		initialize();
	}
	/**
	 * This method initializes this
	 * 
	 * @return void
	 */
	private void initialize() {
        this.setContentPane(getMSVARSpecPanel());
        this.setTitle("MSVAR Analysis");
        this.setSize(543, 505);
			
	}
	/**

	 * This method initializes MSVARSpecPanel	

	 * 	

	 * @return msvar.MSVARSpecPanel	

	 */    
	private msvar.MSVARSpecPanel getMSVARSpecPanel() {
		if (MSVARSpecPanel == null) {
			MSVARSpecPanel = new msvar.MSVARSpecPanel();
		}
		return MSVARSpecPanel;
	}

 }  //  @jve:visual-info  decl-index=0 visual-constraint="10,10"